[OpenShift] not upgrading from 4.8.2 to 4.8.4 - 'operator-lifecycle-manager cannot be upgraded between minor versions'

Solution In Progress - Updated -

Issue

When updating OCP 4.8 cluster the following error is shown in logs:

IncompatibleOperatorsInstalledCluster 

operator operator-lifecycle-manager cannot be upgraded between minor versions: The following operators block OpenShift upgrades: Operator openshift-gitops-operator.v1.2.0 in namespace openshift-operators is not compatible with OpenShift versions greater than 4.8.0,Operator elasticsearch-operator.5.1.0-96 in namespace openshift-operators-redhat is not compatible with OpenShift versions greater than 4.8.0,Operator ocs-operator.v4.8.0 in namespace openshift-storage is not compatible with OpenShift versions greater than 4.8.0 ...

And in OCP console:

One or more cluster operators have been blocking minor version cluster upgrades for at least an hour for reason IncompatibleOperatorsInstalled.  For more information refer to https://console-openshift-console.<cluster-url>/settings/cluster/.

Environment

  • Red Hat OpenShift Container Platform 4.8

Subscriber exclusive content

A Red Hat subscription provides unlimited access to our knowledgebase, tools, and much more.

Current Customers and Partners

Log in for full access

Log In